SPECK128::Dec Class Reference

SPECK128 decryption transformation. More...

Inheritance diagram for SPECK128::Dec:

## Public Member Functions

void | ProcessAndXorBlock (const byte *inBlock, const byte *xorBlock, byte *outBlock) const
size_t | AdvancedProcessBlocks (const byte *inBlocks, const byte *xorBlocks, byte *outBlocks, size_t length, word32 flags) const
Public Member Functions inherited from SPECK128::Base
std::string | AlgorithmName () const
| The algorithm name. More...
std::string | AlgorithmProvider () const
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance. More...
Public Member Functions inherited from BlockCipherImpl< SPECK_Info< 16, 16, 16, 32 > >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

SPECK128 decryption transformation.

Dec provides the decryption transformation. All key sizes are supported.

Since
  Crypto++ 6.0

Definition at line 191 of file speck.h.

The documentation for this class was generated from the following files:

- speck.h
- speck.cpp